Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Class AuthorizationFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.p13n.exceptions.ApplicationException
                  com.bea.p13n.appflow.exception.PipelineException
                      com.beasys.commerce.ebusiness.payment.AuthorizationFailureException

All Implemented Interfaces
  Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class AuthorizationFailureException

extends com.bea.p13n.appflow.exception.PipelineException

Signals that an authorization attempt was made with an invalid credit card. Typically this will result from an invalid credit card number or associated billing address.

See Also
  Serialized Form

Constructor Summary
`AuthorizationFailureException(String namespace, String messageKey)` Deprecated See BEA Commerce product offering
`AuthorizationFailureException(String namespace, String messageKey, Exception embeddedException)` Deprecated See BEA Commerce product offering
`AuthorizationFailureException(String namespace, String messageKey, Object[] arguments)` Deprecated See BEA Commerce product offering
`AuthorizationFailureException(String namespace, String messageKey, Object[] arguments, Exception embeddedException)` Deprecated See BEA Commerce product offering
`AuthorizationFailureException(String namespace, String messageKey, Object argument, Exception embeddedException)` Deprecated See BEA Commerce product offering

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthorizationFailureException

    public AuthorizationFailureException(String namespace,
                                         String messageKey)

  Deprecated See BEA Commerce product offering

  Constructs a AuthorizationFailureException

### AuthorizationFailureException

    public AuthorizationFailureException(String namespace,
                                         String messageKey,
                                         Exception embeddedException)

  Deprecated See BEA Commerce product offering

  Constructs a AuthorizationFailureException

### AuthorizationFailureException

    public AuthorizationFailureException(String namespace,
                                         String messageKey,
                                         Object[] arguments)

  Deprecated See BEA Commerce product offering

  Constructs a AuthorizationFailureException

### AuthorizationFailureException

    public AuthorizationFailureException(String namespace,
                                         String messageKey,
                                         Object argument,
                                         Exception embeddedException)

  Deprecated See BEA Commerce product offering

  Constructs a AuthorizationFailureException

### AuthorizationFailureException

    public AuthorizationFailureException(String namespace,
                                         String messageKey,
                                         Object[] arguments,
                                         Exception embeddedException)

  Deprecated See BEA Commerce product offering

  Constructs a AuthorizationFailureException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved